import { DownloadManager, DownloadManagerOptions } from "./DownloadManager";
import { IFileSystem } from "./interfaces/IFileSystem";
import { IStorage } from "./interfaces/IStorage";
interface Configuration {
    storage: IStorage;
    fileSystem: IFileSystem;
    options?: DownloadManagerOptions;
}
export declare function getSharedDownloadManager(): DownloadManager;
export declare function configure(configuration: Configuration): void;
export {};
